This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 147545 - rhythmbox stops importing files when encountering very short mp3s
rhythmbox stops importing files when encountering very short mp3s
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: rhythmbox (Show other bugs)
3
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: John (J5) Palmieri
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-08 21:09 EST by Burkhard
Modified: 2013-03-13 00:47 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-23 15:12:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Output of rhythmbox -d (27.26 KB, text/plain)
2005-02-08 21:24 EST, Burkhard
no flags Details

  None (edit)
Description Burkhard 2005-02-08 21:09:11 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.7.3)
Gecko/20041020 Galeon/1.3.18

Description of problem:
When I want to import my music directory, rhythmbox stops whenever it
comes to a very short song (eg. 4 secs). The program itself does not
hang or crash, and I am able to listen to the music, but rhythmbox
refuses to import any more songs, although it's still saying "Loading
songs..."

Version-Release number of selected component (if applicable):
rhythmbox-0.8.8-1

How reproducible:
Always

Steps to Reproduce:
1.Music->Import Location/Folder containing a short song.
2.
3.
    

Actual Results:  rhythmbox starts to import songs, but stops, when it
reaches the very short song. 

Expected Results:  rhythmbox should import short songs as well and
continue to import other songs afterwards.

Additional info:

gstreamer-plugins-0.8.5-1
gstreamer-0.8.7-4.FC3.0
gstreamer-plugins-extra-audio-0.8.6-1.1.fc3.fr
Comment 1 Burkhard 2005-02-08 21:24:09 EST
Created attachment 110843 [details]
Output of rhythmbox -d

Added partial output of rhythmbox -d as attachment.
In the log you can see, that the songs kaperfahrt.mp3 and
hair_today_gone_tomorrow.mp3 are recognized as expected, but
zusammenfassung.mp3 (which is actually 4 secs long) is not.

Furthermore you can see, that the song bon_voyage.mp3 is played with no
problems afterwards.

This is only one example. When I quit rhythmbox, mv away the subdir containing
zusammenfassung.mp3 and restart it, it "hangs" at the next short song.
Comment 2 John Thacker 2006-04-29 10:15:40 EDT
FC3 is now the responsibility of Fedora Legacy, and this does not seem
to be a security issue.  Do you still see this with FC4 or FC5?
There have been significant updates to rhythmbox and gstreamer since
FC3.  (Especially in FC5, which switched to 0.9.x rhythmbox and 0.10.x
gstreamer.)
Comment 3 John Thacker 2006-05-23 15:12:15 EDT
Closing due to lack of response.  Please reopen if you can confirm that this
bug still exists in FC4 or FC5.

Note You need to log in before you can comment on or make changes to this bug.